#!/bin/sh -e
#
# $Id: php_postin.sh,v 1.0 2003/10/09 19:05:10 legion Exp $
#

# This variables must be defined befor this script runs.
php_extconf="${php_extconf:?}"
php_sysconfdir="${php_sysconfdir:?}"
php_servicedir="${php_servicedir:?}"

sapiList="${sapiList:=`find "$php_sysconfdir" -mindepth 1 -maxdepth 1 -type d -printf '%f '`}"
extList="${extList:=`find "$php_extconf" -mindepth 1 -maxdepth 1 -type d -printf '%f '`}"
suffix=.phpnew

for ext in $extList; do
    file_ini=
    exceptions=
    [ ! -f "$php_extconf/$ext/params" ] || . "$php_extconf/$ext/params"

    for sapi in $sapiList; do
	if [ -n "$exceptions" ]; then
	    exc=" $exceptions "
	    [ "$exc" = "${exc#* $sapi }" ] || continue
	fi
	file_ini="${file_ini:=$ext.ini}"
	
	if [ -f "$php_extconf/$ext/config" ]; then
	    if [ -f "$php_sysconfdir/$sapi/php.d/$file_ini" ]; then
		cp "$php_extconf/$ext/config" "$php_sysconfdir/$sapi/php.d/$file_ini$suffix"
		echo "warning: $php_sysconfdir/$sapi/php.d/$file_ini created as $php_sysconfdir/$sapi/php.d/$file_ini$suffix"
	    else
		cp "$php_extconf/$ext/config" "$php_sysconfdir/$sapi/php.d/$file_ini"
	    fi
	fi

	[ ! -x "$php_servicedir/$sapi/condrestart" ] || "$php_servicedir/$sapi/condrestart"
    done
done
